//
//  MyDetailViewController.m
//  HelloMultiView
//
//  Created by Michael Rohs on 4.5.2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MyDetailViewController.h"


@implementation MyDetailViewController

@synthesize label;
@synthesize labelText;
@synthesize newButton;

- (void) setLabelText:(NSString *)lt
{
    if (labelText != nil) {
        [labelText release];
    }
    labelText = lt;
    [labelText retain];
}

- (NSString*) getLabelText {
    return labelText;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)dealloc
{
    [labelText release];
    [label release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.navigationItem.title = @"Details";
    label.text = labelText;
    [newButton addTarget:self action:@selector(newButtonPressed:) forControlEvents:UIControlEventTouchUpInside];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void) newButtonPressed:(id)source;
{
    NSLog(@"newButtonPressed");
}

@end
